OpenSCAD Mise à l'échelle du maillage

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page OpenSCAD ScaleMeshFeature and the translation is 100% complete.
Other languages:
English • ‎français • ‎italiano
Arrow-left.svg Page précédente : OpenSCAD MirrorMeshFeature.svg Maillage miroir
Page suivante : Redimensionner le maillage Arrow-right.svg

OpenSCAD ScaleMesh.svg OpenSCAD Mise à l'échelle du maillage

Emplacement du menu
OpenSCAD → Scale Mesh Feature
Ateliers
OpenSCAD
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Mesh Échelle


Description

Crée un nouvel objet maillé mis à l'échelle avec une mise à l'échelle indépendante pour chaque axe.

OpenSCAD ScaleMesh.svg

Utilisation

  1. Sélectionnez l'objet maillé à mettre à l'échelle.
  2. Cliquez sur le menu OpenSCAD → Scale Mesh Feature... .
  3. Sélectionnez l'axe souhaité dans la boîte de dialogue, ou entrez votre propre axe personnalisé à utiliser et cliquez sur OK.
  • Un nouvel objet est créé et mis à l'échelle, l'objet d'origine est masqué.

Limitations

  • Le nouvel objet maillé n'est pas paramétrique par rapport à l'objet maillé d'origine, ce qui signifie que les modifications apportées à l'objet d'origine ne sont pas reflétées dans le nouvel objet mis à l'échelle.

Remarques

  • La fonction ne modifie pas le maillage existant mais renvoie un nouveau maillage.
  • La fonction est accessible via python:
import OpenSCADUtils
import Mesh
#Cela suppose un objet existant dans le document nommé "Mesh" que vous souhaitez mettre à l'échelle
original_mesh = App.ActiveDocument.Mesh
scaled_mesh = OpenSCADUtils.scalemesh(original_mesh.Mesh, FreeCAD.Base.Vector(1,0,0))
Mesh.show(scaled_mesh)



Arrow-left.svg Page précédente : OpenSCAD MirrorMeshFeature.svg Maillage miroir
Page suivante : Redimensionner le maillage Arrow-right.svg